Bug 629241 - CVE-2010-3448 kernel: thinkpad-acpi: lock down video output state access [rhel-5.5.z]
CVE-2010-3448 kernel: thinkpad-acpi: lock down video output state access [rhe...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
high Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Red Hat Kernel QE team
: Security, ZStream
: 652123 (view as bug list)
Depends On: 607037
Blocks: CVE-2010-3448
  Show dependency treegraph
 
Reported: 2010-09-01 08:05 EDT by RHEL Product and Program Management
Modified: 2015-05-04 21:20 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-09 13:08:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-09-01 08:05:06 EDT
This bug has been copied from bug #607037 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 3 Jiri Pirko 2010-09-30 09:20:39 EDT
in kernel 2.6.18-194.19.1.el5

linux-2.6-acpi-thinkpad-acpi-lock-down-video-output-state-access.patch
Comment 7 errata-xmlrpc 2010-11-09 13:08:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0839.html
Comment 8 Martin Prpic 2010-11-11 09:06:56 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
On certain ThinkPad models, reading video output controls could lead to a hard-crash of X.org. This update restricts access permissions to /proc/acpi/ibm/video in order to prevent the aforementioned crash.
Comment 9 Eugene Teo (Security Response) 2010-11-11 19:53:53 EST
*** Bug 652123 has been marked as a duplicate of this bug. ***
Comment 10 Eugene Teo (Security Response) 2010-11-11 19:54:48 EST
Deleted Technical Notes Contents.

Old Contents:
On certain ThinkPad models, reading video output controls could lead to a hard-crash of X.org. This update restricts access permissions to /proc/acpi/ibm/video in order to prevent the aforementioned crash.

Note You need to log in before you can comment on or make changes to this bug.